datablock audioProfile( kevlarHitSound1 )
{
	fileName = "./kevlar1.wav";
	description = audioClosest3D;
	preload = true;
};

datablock audioProfile( kevlarHitSound2 )
{
	fileName = "./kevlar2.wav";
	description = audioClosest3D;
	preload = true;
};

datablock audioProfile( kevlarHitSound3 )
{
	fileName = "./kevlar3.wav";
	description = audioClosest3D;
	preload = true;
};

datablock audioProfile( helmetHitSound )
{
	fileName = "./helmet1.wav";
	description = audioClosest3D;
	preload = true;
};

datablock audioProfile( cssEquipSound )
{
	fileName = "./equip.wav";
	description = audioClosest3D;
	preload = true;
};

exec("./Item_Kevlar.cs");
// exec("./Item_KevlarHelm.cs"); Not done yet.

exec("./Support_Hitbox.cs");

// This here is to make all armors work the way you want them to.
package armor_functions
{
	function Player::Damage( %this, %obj, %pos, %damage, %damageType )
	{
		if( %this.armored )
		{
			%this.armor -= %damage * 0.5;
			%damage = %damage * %this.armorDivider;

			commandToClient( %this.client, 'bottomprint', "\c6Armor\c3:" SPC MCeil( %this.armor ) @ "\c6.", 3, true );

			if( %this.armor <= 0 )
			{
				%this.unmountImage( 2 );
				commandToClient( %this.client, 'bottomprint', "\c6Armor\c3: 0\c6.", 3, true );
				serverPlay3d( helmetHitSound, %this.getHackPosition() );
			}
			else
			{
				serverPlay3d( kevlarHitSound @ getRandom( 1, 3 ), %this.getHackPosition() ); // GetRandom in there randomises between the 3 different hitsounds.
			}
		}

		parent::Damage( %this, %obj, %pos, %damage, %damageType );
	}
};
activatePackage( "armor_functions" );